API Reference

get
Query parameters
currencystringRequired
transaction_typestringRequired
Header parameters
public-keystringRequired
x-api-versionnumberRequired
Accept-Languagestring · enumRequiredDefault: enPossible values:
Responses
chevron-right
200

Payment providers retrieved successfully.

application/json
codenumberRequired

HTTP Status code

Example: 200
statusstring · enumRequired

The status of the response

Example: successPossible values:
messagestringRequired

The message of the response

Example: Request completed successfully
dataobjectRequired

Response data

Example: {"payment_providers":[{"provider_name":"MTN Mobile Money Zambia","provider_code":"mtn_zm","transaction_method":"MOBILE_MONEY","transaction_method_name":"Mobile Money","transaction_type":"Collection","transaction_currency":"ZMW","min_amount":1,"max_amount":10000,"max_daily_amount":100000,"is_active":true,"option_prefixes":["76","96"]},{"provider_name":"Airtel Money Zambia","provider_code":"airtel_zm","transaction_method":"MOBILE_MONEY","transaction_method_name":"Mobile Money","transaction_type":"Collection","transaction_currency":"ZMW","min_amount":1,"max_amount":10000,"max_daily_amount":100000,"is_active":true,"option_prefixes":["57","77","97"]}]}
get
/data/payment-providers
200

Payment providers retrieved successfully.

get
Query parameters
currencystringOptional
Header parameters
public-keystringRequired
x-api-versionnumberRequired
Accept-Languagestring · enumRequiredDefault: enPossible values:
secret-keystringRequired
Responses
chevron-right
200

Wallet balances retrieved successfully.

application/json
codenumberRequired

HTTP Status code

Example: 200
statusstring · enumRequired

The status of the response

Example: successPossible values:
messagestringRequired

The message of the response

Example: Request completed successfully
dataobjectRequired

Response data

Example: {"merchant_wallets":[{"available_balance":40000,"actual_balance":40000,"currency":"ZMW","uncleared_balance":40000,"reserve_balance":0,"wallet_type":"MERCHANT_COLLECTION"},{"available_balance":0,"actual_balance":0,"currency":"ZMW","uncleared_balance":0,"reserve_balance":0,"wallet_type":"MERCHANT_PAYOUT"}]}
get
/data/wallet-balances
200

Wallet balances retrieved successfully.

get
Path parameters
merchant_referencestringRequired
Header parameters
public-keystringRequired
x-api-versionnumberRequired
Accept-Languagestring · enumRequiredDefault: enPossible values:
Responses
chevron-right
200

Transaction retrieved successfully.

application/json
codenumberRequired

HTTP Status code

Example: 200
statusstring · enumRequired

The status of the response

Example: successPossible values:
messagestringRequired

The message of the response

Example: Request completed successfully
dataobjectRequired

Response data

Example: {"id":20760,"merchant_reference":"MCTREFT2WMNWZ23SBN6Y","internal_reference":"ISTREFRMGRXNNYBWATKJ","transaction_type":"COLLECTION","request_currency":"ZMW","transaction_amount":100000,"transaction_currency":"ZMW","transaction_charge":3000,"transaction_account":"256787008803","charge_customer":false,"total_credit":97000,"provider_code":"mtn_zm","request_amount":100000,"customer_name":"JOHN DOE","transaction_status":"COMPLETED","status_message":"Transaction Completed Successfully"}
get
/data/transaction/verify/{merchant_reference}
200

Transaction retrieved successfully.

post
Header parameters
public-keystringRequired
x-api-versionnumberRequired
Accept-Languagestring · enumRequiredDefault: enPossible values:
Body
transaction_methodstring · enumRequired

The transaction method to be used.

Example: MOBILE_MONEYPossible values:
provider_codestringRequired

The provider code as obtained from the payment options

Example: mtn_zm
merchant_referencestring · min: 8 · max: 36Required

The unique reference for this request. It must be at least 8 characters long. Alternatively, the value auto can be passed, and a unique reference will be created for you by the API

Example: MCTREF123456
msisdnstringOptional

The mobile money number of the customer. Mandatory for Mobile Money.

Example: 256787701800
mobile_money_hppbooleanOptional

Should be sent with the value true in order for the API to handle the mobile money payment via hosted page

Default: false
currencystringRequired

The 3-character ISO currency code for the request currency

amountnumberRequired

The amount being requested

descriptionstring · min: 10 · max: 30Required

The description/narration for the transaction. Between 10-30 characters

customer_namestringOptional

The name of the customer

customer_emailstringOptional

The email of the customer

redirect_urlstringOptional

The HTTPs redirect URL to which the API will redirect when the payment is successful/failed

card_cipherstringOptional
charge_customerbooleanOptional

Whether or not the customer should bear the charge for the transaction. By default, this is false to mean that the merchant bears the charge

Default: false
allow_final_status_changebooleanOptional

Whether or not the final transaction status can be altered as described in the document

Default: true
Responses
post
/collections/initialize
post
Header parameters
public-keystringRequired
x-api-versionnumberRequired
Accept-Languagestring · enumRequiredDefault: enPossible values:
Body
internal_referencestringRequired

Internal/gateway transaction reference

Example: ISTREFRMGRXNNYBWATKJ
otpnumber · min: 4Required

OTP Auth

Example: 123456
Responses
post
/collections/authorize
get
Query parameters
provider_codestringRequired
Header parameters
public-keystringRequired
x-api-versionnumberRequired
Accept-Languagestring · enumRequiredDefault: enPossible values:
Responses
chevron-right
200

Payout bank codes retrieved successfully.

application/json
codenumberRequired

HTTP Status code

Example: 200
statusstring · enumRequired

The status of the response

Example: successPossible values:
messagestringRequired

The message of the response

Example: Request completed successfully
dataobjectRequired

Response data

Example: {"payout_banks":[{"bank_name":"Access Bank Nigeria","bank_code":"access_bank_ng","is_active":true},{"bank_name":"Guaranty Trust Bank","bank_code":"gtbank_ng","is_active":true}]}
get
/data/payout-bank-codes
200

Payout bank codes retrieved successfully.

post
Header parameters
public-keystringRequired
x-api-versionnumberRequired
Accept-Languagestring · enumRequiredDefault: enPossible values:
secret-keystringRequired
Body
merchant_referencestring · min: 8 · max: 36Required

The unique reference for this request. It must be at least 8 characters long.

Example: MCTREF123456
transaction_methodstring · enumRequired

The transaction method to be used.

Example: MOBILE_MONEYPossible values:
currencystring · min: 3Required

The 3-character ISO currency code for the request currency.

Example: ZMW
amountnumberRequired

The amount being requested

Example: 5000
provider_codestringRequired

The provider code as obtained from the payment options

Example: mtn_zm
account_numberstringRequired

The bank account or mobile money number of the recipient.

Example: 17100000034
customer_namestringRequired

The name of the customer.

Example: John Doe
descriptionstring · min: 10 · max: 30Required

The description/narration for the transaction. Between 10-30 characters

Responses
post
/payout/send-funds

Last updated